Subject: Re: bug#19723: 24.4; octave.el; graphics window behaves incorrectly

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 28 May 2021 03:00:37 +0200

Alan Barnett <[email-masked]> writes:

> emacs opened a buffer called *Inferior octave*
> with octave running.
>
> I then issued the octave plot command:
> octave>plot(1:100)
>
> The plot window appeared, but the pull-down menus, the buttons at the
> bottom, and the close (x) button did not respond to mouse clicks.

(I'm going through old bug reports that unfortunately got little
response at the time.)

I'm able to reproduce this in Emacs 28...  but it turns out that I can
reproduce this on the command line as well by using the -i switch:

$ octave -i
...
octave:1> plot(1:100)
octave:2> 

will display the same symptoms.  So I don't think this is an Emacs
bug -- it has to be an Octave bug, and should be reported to the Octave
maintainers.

So I'm closing this bug in the Emacs bug tracker.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no